package JBMSTours;
import JBMSTours.serializabletypes.City;

/**
 * Look at the <a href="../JBMSTours/CityChoiceException.java">Source</a>.<p>
 * The application throws this exception if it can't build a tour
 * between two particular cities.
 */


public class CityChoiceException extends java.lang.Exception
{

	/**
	 * Constructor
	 *
	 */
	public CityChoiceException()
	{
		super();
	}

	/**
	 * Constructor
	 *
	 */
	public CityChoiceException(City cit1, City cit2)
	{
		super("Sorry, we can't make a tour for you between " +
	                   cit1.getName() + " and " + cit2.getName() +
	                   " because there are no flights between those " +
	                   "cities. Please choose another city.");
	}

}
