package JBMSTours.vti.jdbc1_2;

import java.sql.Types;
import java.sql.SQLException;

class jarmetadata extends COM.cloudscape.vti.VTIMetaDataTemplate {

	jarmetadata() {
	}

	/*
	** Methods of ResultSetMetaData JDK1.1/JDBC1.2
	*/

	/**
		N columns
		<OL>
		<LI> Name of entry - VARCHAR
		<LI> Is a directory - BIT
		<LI> Time - TIMESTAMP
		<LI> Size - BIGINT
		<LI> Compressed size - BIGINT
		<LI> Data - LONGVARBINARY
		</OL>

	*/
	public int getColumnCount() {
		return 5; // should be 6
	}

	public int getColumnType(int column) throws SQLException {

		switch (column) {
		case 1: return Types.VARCHAR;
		case 2: return Types.BIT;
		case 3: return Types.TIMESTAMP;
		case 4: return Types.BIGINT;
		case 5: return Types.BIGINT;
		case 6: return Types.LONGVARBINARY;
		default:
			throw new SQLException("column index out of range " + column);
		}
	}

	public String getColumnName(int column) throws SQLException {

		switch (column) {
		case 1: return "NAME";
		case 2: return "DIRECTORY";
		case 3: return "TIME";
		case 4: return "SIZE";
		case 5: return "COMPRESSED_SIZE";
		case 6: return "DATA";
		default:
			throw new SQLException("column index out of range " + column);
		}
	}

	public int isNullable(int column) {
		return columnNoNulls;
	}

	public int getColumnDisplaySize(int column) {
		//System.out.println("getColumnDisplaySize " + column);

		return 256;
	}
}
