import JBMSTours.serializabletypes.City;
import java.sql.*;


public class CityTest2 {

     
 
  public static void main (String[] args) {


   City city1;

   Connection conn;

          try {
               Class.forName("COM.cloudscape.core.JDBCDriver").newInstance();
               System.out.println("Loaded the cloudscape JDBC driver.");
               conn = DriverManager.getConnection("jdbc:cloudscape:toursDB");

   

     //initialize one city, and set some values for it

  

        city1 = new City(1, "Santiago", "Spanish", "CL", "SCL");
        city1.setLocation(33, 27, "S", 70, 40, "W");
        city1.setTemperatures(85, 74, 59, 72);
        city1.setTimeZone(-4, -3, "SSO", "SSM");
  


	//execute some methods

	System.out.println("The airport for " + city1.getName() + 
                           " is " + city1.getAirport());

	System.out.println("The distance between " + 
                           city1.getName() + 
                           " and " + "Paris" + 
                           " is " + city1.getDistanceFrom(conn, 35) + " miles");

	System.out.println("The current average temperature in " + 
                           city1.getName() + 
                           " is " + 
                           city1.showTemperature());

	System.out.println("The time difference between  " + 
                           city1.getName() + 
                           " and " 
                           + "Paris" + 
                           " right now is " + 
                           city1.getTimeDifference(conn, (new java.sql.Date(new java.util.Date().getTime())), "CDG") + 
                           " hours");

   }
 
 
    catch (Throwable e) {
      System.out.println("exception thrown:");
      System.out.println(e);
      System.out.println("Your system directory is set to " +System.getProperty("cloudscape.system.home", System.getProperty("user.dir")));
      System.out.println("That means that Cloudscape is looking for toursDB in that directory.");
    }


  }
}
