-- create tables
CREATE TABLE MusicCategories (category_id SMALLINT, category VARCHAR(9));
CREATE TABLE RecordingArtists (artist_id SMALLINT, RecordingArtist VARCHAR(21));
CREATE TABLE Recordings (recording_id SMALLINT, Title varchar(20), artist_id smallint, category_id smallint, recording_label varchar(20), format varchar(10), number_tracks smallint);
CREATE TABLE Tracks (track_id smallint, track_number smallint, track_title varchar(50), recording_id smallint);

-- "import" data from the microsoft access database
INSERT INTO MusicCategories SELECT * FROM NEW ExternalQuery('jdbc:odbc:CloudscapeTutorial', 'SELECT * FROM MusicCategories') AS EQ;
INSERT INTO RecordingArtists SELECT * FROM NEW ExternalQuery('jdbc:odbc:CloudscapeTutorial', 'SELECT * FROM RecordingArtists') AS EQ;
INSERT INTO Recordings SELECT * FROM NEW ExternalQuery('jdbc:odbc:CloudscapeTutorial', 'SELECT * FROM Recordings') AS EQ;
INSERT INTO Tracks SELECT * FROM NEW ExternalQuery('jdbc:odbc:CloudscapeTutorial', 'SELECT * FROM Tracks') AS EQ;
