import java.sql.*;

public class InsertComparer {


    public static void main(String[] args) {

        (new InsertComparer()).go();
    }

    void go() {
        System.out.println("InsertComparer starting");

        try {

          Class.forName("COM.cloudscape.core.JDBCDriver").newInstance(); 
	  Connection conn = DriverManager.getConnection("jdbc:cloudscape:toursDB;autocommit=false");
	    Statement s = conn.createStatement();

	    long timeme = new java.util.Date().getTime();

	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (240, 1, DATE '1997-10-15', DATE '1997-10-20', 3, 1000.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (241, 1, DATE '1997-10-16', DATE '1997-10-21', 1, 750.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (242, 1, DATE '1997-10-17', DATE '1997-10-22', 3, 1000.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (243, 1, DATE '1997-10-18', DATE '1997-10-23', 4, 500.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (244, 1, DATE '1997-10-19', DATE '1997-10-24', 3, 1000.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (245, 1, DATE '1997-10-20', DATE '1997-10-25', 1, 750.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (246, 1, DATE '1997-10-21', DATE '1997-10-26', 3, 400.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (247, 1, DATE '1997-10-22', DATE '1997-10-27', 4, 1200.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (248, 1, DATE '1997-10-23', DATE '1997-10-28', 3, 1000.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (249, 1, DATE '1997-10-24', DATE '1997-10-29', 1, 750.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (250, 1, DATE '1997-10-25', DATE '1997-10-30', 3, 1000.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (251, 1, DATE '1997-10-26', DATE '1997-10-31', 2, 1500.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (252, 1, DATE '1997-10-27', DATE '1997-11-1', 3, 1000.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (253, 1, DATE '1997-10-28', DATE '1997-11-2', 1, 1750.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (254, 1, DATE '1997-10-29', DATE '1997-11-3', 2, 600.00)");
	    s.executeUpdate("INSERT INTO HotelBookings " +
               "VALUES (255, 1, DATE '1997-10-30', DATE '1997-11-4', 1, 1150.00)");

	    long timeme2 = new java.util.Date().getTime();
	    timeme2 = timeme2 - timeme;

	    System.out.println("Compiling and executing 16 statements took " + timeme2 + " milliseconds.");


	    timeme = new java.util.Date().getTime();

            PreparedStatement ps = conn.prepareStatement("INSERT INTO HotelBookings VALUES (?, ?, ?, ?, ?, ?)");


            ps.setInt(1, 240);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 15));
            ps.setDate(4, new java.sql.Date(98, 11, 20));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(1000.00));
            ps.executeUpdate();

            ps.setInt(1, 241);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 16));
            ps.setDate(4, new java.sql.Date(98, 11, 21));
            ps.setInt(5, 1);
            ps.setObject(6, new java.math.BigDecimal(750.00));
            ps.executeUpdate();

            ps.setInt(1, 242);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 17));
            ps.setDate(4, new java.sql.Date(98, 11, 22));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(1000.00));
            ps.executeUpdate();

            ps.setInt(1, 243);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 18));
            ps.setDate(4, new java.sql.Date(98, 11, 23));
            ps.setInt(5, 4);
            ps.setObject(6, new java.math.BigDecimal(500.00));
            ps.executeUpdate();

            ps.setInt(1, 244);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 19));
            ps.setDate(4, new java.sql.Date(98, 11, 24));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(1000.00));
            ps.executeUpdate();

            ps.setInt(1, 245);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 20));
            ps.setDate(4, new java.sql.Date(98, 11, 25));
            ps.setInt(5, 1);
            ps.setObject(6, new java.math.BigDecimal(750.00));
            ps.executeUpdate();

            ps.setInt(1, 246);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 21));
            ps.setDate(4, new java.sql.Date(98, 11, 26));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(400.00));
            ps.executeUpdate();

            ps.setInt(1, 247);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 22));
            ps.setDate(4, new java.sql.Date(98, 11, 27));
            ps.setInt(5, 4);
            ps.setObject(6, new java.math.BigDecimal(1200.00));
            ps.executeUpdate();

            ps.setInt(1, 248);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 23));
            ps.setDate(4, new java.sql.Date(98, 11, 28));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(1000.00));
            ps.executeUpdate();

            ps.setInt(1, 249);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 24));
            ps.setDate(4, new java.sql.Date(98, 11, 29));
            ps.setInt(5, 1);
            ps.setObject(6, new java.math.BigDecimal(750.00));
            ps.executeUpdate();

            ps.setInt(1, 250);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 25));
            ps.setDate(4, new java.sql.Date(98, 11, 30));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(1000.00));
            ps.executeUpdate();

            ps.setInt(1, 251);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 26));
            ps.setDate(4, new java.sql.Date(98, 12, 1));
            ps.setInt(5, 2);
            ps.setObject(6, new java.math.BigDecimal(1500.00));
            ps.executeUpdate();

            ps.setInt(1, 252);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 27));
            ps.setDate(4, new java.sql.Date(98, 12, 1));
            ps.setInt(5, 3);
            ps.setObject(6, new java.math.BigDecimal(1000.00));
            ps.executeUpdate();

            ps.setInt(1, 253);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 28));
            ps.setDate(4, new java.sql.Date(98, 12, 2));
            ps.setInt(5, 1);
            ps.setObject(6, new java.math.BigDecimal(1750.00));
            ps.executeUpdate();

            ps.setInt(1, 254);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 29));
            ps.setDate(4, new java.sql.Date(98, 12, 3));
            ps.setInt(5, 2);
            ps.setObject(6, new java.math.BigDecimal(600.00));
            ps.executeUpdate();

            ps.setInt(1, 255);
            ps.setInt(2, 1);
            ps.setDate(3, new java.sql.Date(98, 11, 30));
            ps.setDate(4, new java.sql.Date(98, 12, 4));
            ps.setInt(5, 1);
            ps.setObject(6, new java.math.BigDecimal(1150.00));
            ps.executeUpdate();

	    timeme2 = new java.util.Date().getTime();
	    timeme2 = timeme2 - timeme;
	    System.out.println("Compiling the statement once and executing it 16 times took " + timeme2 + " milliseconds.");


	    conn.close();
      boolean gotSQLExc = false;
      try {
	DriverManager.getConnection("jdbc:cloudscape:;shutdown=true");
            } catch (SQLException se) {
	      gotSQLExc = true;
            }
	    if (!gotSQLExc)
	      System.out.println("Database did not shut down normally");
	    else
	      System.out.println("Database shut down normally");

	}
  
    catch (Throwable e) {
      System.out.println("exception thrown:");
      errorPrint(e);
    }
  }
    static void errorPrint(Throwable e) {
      if (e instanceof SQLException) 
	SQLExceptionPrint((SQLException)e);
      else
	System.out.println("A non SQL error occured.");
}

    static void SQLExceptionPrint(SQLException sqle) {
      while (sqle != null) {
	System.out.println("\n---SQLException Caught---\n");
	System.out.println("SQLState:   " + (sqle).getSQLState());
	System.out.println("Error Code: " + (sqle).getErrorCode());
	System.out.println("Message:  " + (sqle).getMessage()); 
	sqle.printStackTrace();  
	sqle = sqle.getNextException();
      }
    }

}

