# ---------------------------------------------------------
# -- This simple script is an example of how to 'ping' a 
# -- Cloudscape server running inside an RmiJdbc framework. 
# -- The following command will test access to the db 'myDB'
# --
# -- sh RJPing.ksh //localhost:1099/jdbc:cloudscape:myDB connect
# --
# --
# -- REQUIREMENTS:
# --
# --  You must have the Cloudscape client jar files in your classpath
# --  as well as the RmiJdbc class files. Please see the 
# --  setClientCloudscapeCP.ksh file in this directory for an example
# --  of what is required.
# --
# -- This file for use on Unix ksh systems
# ---------------------------------------------------------

# ---------------------------------------------------------
# -- Run the RJPing class with the command-line arguments
# ---------------------------------------------------------
java -classpath RJPing $*


# ---------------------------------------------------------
# -- To use a different JVM with a different syntax, simply edit
# -- this file
# ---------------------------------------------------------

