package JBMSTours;


import java.sql.*;
import JBMSTours.serializabletypes.City;

/**
 *
 * An interface of weather- and geography- related methods 
 * that are implemented by
 * JBMSTours.City. This interface exists to show that 
 * when you view the available methods on City from Cloudview, the methods
 * it inherits from an interface appear as a subset of 
 * methods available from the this interface.
 *
 */
public interface WeatherSpot {
    public String getName();
    public boolean isTropical();
    public double showTemperature();
    public double showTemperature(Date stayDate, City homeCity);
    public void setTemperatures(double Jan, double Apr, double Jul, double Oct);
    public void setTemperatures(double Jan,
                                double Feb,
                                double Mar,
                                double Apr,
                                double May,
                                double Jun,
                                double Jul,
                                double Aug,
                                double Sep,
                                double Oct,
                                double Nov,
                                double Dec);
    public void setTemperatures(double Jan,
                                double Feb,
                                double Mar,
                                double Apr,
                                double May,
                                double Jun,
                                double Jul,
                                double Aug,
                                double Sep,
                                double Oct,
                                double Nov,
                                double Dec,
                                String scale);
}
