package JBMSTours.servlets;

/**
 * This is a utility class with static methods for doing various HTML-related
 * things.
 * 
 */
public class HTMLUtil {

  public static String beginHtmlPage(String s) {
  return "<html><head><title>" + s + "</title></head><body bgcolor=\"ffe87c\"><center><h1>" + s + "</h1>\n" ;
  }



  public static String endHtmlPage() {
      return "</center></body></html>";
  }

  public static String beginOutputTable() {

  return "<table border=1 bgcolor=\"white\" cellpadding=2 cellspacing=2>";
  }


public static String endOutputTable() {

  return "</table>";
}


  public static String formatAsHTMLCell(String s, boolean h) {
    if (h != true)
        return ("<td>" + s + "</td>\n");
    else
        return ("<th>" + s + "</th>\n");
  }


  public static String formatAsHTMLCell(String s) {

    return formatAsHTMLCell(s, false);
}

 public static String formatAsHTMLRow(String[] s, int numCells, boolean head) {

     StringBuffer sb = new StringBuffer("");
     sb.append("<tr>");
     for (int i = 0; i < numCells; i++) {
         sb.append(formatAsHTMLCell(s[i], head));
     }
     sb.append("</tr>");
     return sb.toString();
}

 public static String formatAsHTMLRow(String[] s, int numCells) {

     boolean head = false;
     StringBuffer sb = new StringBuffer("");
     sb.append("<tr>");
     for (int i = 0; i < numCells; i++) {
         sb.append(formatAsHTMLCell(s[i], head));
     }
     sb.append("</tr>");
     return sb.toString();
}

  public static String formatAsHtmlOptionList(String name, String[] display) {
  StringBuffer sb = new StringBuffer("");
  sb.append("<SELECT NAME=");
  sb.append(name);
  sb.append(">\n");
  for (int i = 0; i < display.length; i++) {
      sb.append("<OPTION>");
      sb.append(display[i]);
      sb.append("\n");
  }

  sb.append("</SELECT>\n");          
  return sb.toString();

  }


  public static String formatAsHtmlOptionList(String name, String[] value, String[] display) {

  StringBuffer sb = new StringBuffer("");
  sb.append("<SELECT NAME=");
  sb.append(name);
  sb.append(">\n");
  for (int i = 0; i < value.length; i++) {
      sb.append("<OPTION VALUE=");
      sb.append(value[i]);
      sb.append(">");
      sb.append(display[i]);
      sb.append("\n");
  }

  sb.append("</SELECT>\n");          
  return sb.toString();

  }

  public static String formatAsParagraph(String s) {

  return "<p>" + s + "<p>";
  }

  public static String formatAsLink(String s, String t) {
    
    return "<a href=\"" + s + "\">" + t + "</a>";
  }

  public static String formatAs2Head(String s) {
    return "<h2>" + s + "</h2>";
  }

}




