import java.sql.*;

public class HelloWorldApp {

     
 
  public static void main (String[] args) {

    try {
      Class.forName("COM.cloudscape.core.JDBCDriver").newInstance();
      System.out.println("Loaded the cloudscape JDBC driver. Hello, World!");

         
      Connection conn = DriverManager.getConnection(
                "jdbc:cloudscape:HelloWorldDB");
      System.out.println("Connected to HelloWorldDB database");


            /*
                Creating a statement lets us issue SQL-J commands against
                the connection.
             */
      Statement s = conn.createStatement();

            /*
	      Executing the query generates a result set
	     */


      ResultSet rs = s.executeQuery("SELECT saying, response FROM " +
                                          "SAYINGS JOIN RESPONSES " +
                                          "USING (NUMBER)");
      String saying, response;

            /*step through all rows in the result set 
	      (we don't know how many rows there
              will be in advance
	      */

      while (rs.next()) {
	saying = rs.getString(1);
	response = rs.getString(2);
	System.out.println(saying + " " + response);
      }

            /*explicitly close all objects */

      rs.close();
      s.close();
      conn.close();
    }
 
 
    catch (Throwable e) {
      System.out.println("exception thrown:");
      System.out.println(e);
      System.out.println("Your system directory is set to " +System.getProperty("cloudscape.system.home", System.getProperty("user.dir")));
      System.out.println("That means that Cloudscape is looking for your database in that directory.");
    }


  }
}
