import java.sql.*;

public class HelloWorldExc {

     
 
  public static void main (String[] args) {

    try {
      Class.forName("COM.cloudscape.core.JDBCDriver").newInstance();
      System.out.println("Loaded the cloudscape JDBC driver. Hello, World!");

         
      Connection conn = DriverManager.getConnection(
                "jdbc:cloudscape:HelloWorldDB");
      System.out.println("Connected to HelloWorldDB database");


            /*
                Creating a statement lets us issue SQL-J commands against
                the connection.
             */
      Statement s = conn.createStatement();

            /*
	      Executing the query generates a result set
	     */


      ResultSet rs = s.executeQuery("SELECT saying, response FROM " +
                                          "SAYINGSz JOIN RESPONSES " +
                                          "USING (NUMBER)");
      String saying, response;

            /*step through all rows in the result set 
	      (we don't know how many rows there
              will be in advance
	      */

      while (rs.next()) {
	saying = rs.getString(1);
	response = rs.getString(2);
	System.out.println(saying + " " + response);
      }

            /*explicitly close all objects */

      rs.close();
      s.close();
      conn.close();


    }

    catch (Throwable e) {
      System.out.println("exception thrown:");
      errorPrint(e);
    }

    try {
      boolean gotSQLExc = false;
      try {
	DriverManager.getConnection("jdbc:cloudscape:;shutdown=true");
            } catch (SQLException se) {
	      gotSQLExc = true;
            }


	    if (!gotSQLExc)
	      System.out.println("Database did not shut down normally");
	    else
	      System.out.println("Database shut down normally");

    }
  
 
 
    catch (Throwable e) {
      System.out.println("exception thrown:");
      errorPrint(e);
    }
  }
    static void errorPrint(Throwable e) {
      if (e instanceof SQLException) 
	SQLExceptionPrint((SQLException)e);
      else
	System.out.println("A non SQL error occured.");
        e.printStackTrace();
}

    static void SQLExceptionPrint(SQLException sqle) {
      while (sqle != null) {
	System.out.println("\n---SQLException Caught---\n");
	System.out.println("SQLState:   " + (sqle).getSQLState());
	System.out.println("Severity: " + (sqle).getErrorCode());
	System.out.println("Message:  " + (sqle).getMessage()); 
	sqle.printStackTrace();  
	sqle = sqle.getNextException();
      }
    }


}
