import java.sql.*;

public class SelectComparer {


    public static void main(String[] args) {

        (new SelectComparer()).go();
    }

    void go() {
        System.out.println("SelectComparer starting");

        try {

          Class.forName("COM.cloudscape.core.JDBCDriver").newInstance(); 
		  Connection conn = DriverManager.getConnection("jdbc:cloudscape:toursDB;autocommit=false");
		  Statement s = conn.createStatement();

		  long timeme = new java.util.Date().getTime();


		  executeS(s, "SELECT city FROM Cities where city_id = ", "1");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "2");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "3");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "4");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "5");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "6");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "7");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "8");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "9");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "10");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "11");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "12");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "13");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "14");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "15");
		  executeS(s, "SELECT city FROM Cities where city_id = ", "16");
		  
		  long timeme2 = new java.util.Date().getTime();
		  timeme2 = timeme2 - timeme;
		  
		  System.out.println("Compiling and executing 16 statements took " + timeme2 + " milliseconds.");
		  
		  timeme = new java.util.Date().getTime();
		  
		  
		  PreparedStatement ps = conn.prepareStatement("SELECT city " +
													   "FROM Cities " +
													   "WHERE city_id = ?");
		  executePs(ps, 31);
		  executePs(ps, 32);
		  executePs(ps, 33);
		  executePs(ps, 34);
		  executePs(ps, 35);
		  executePs(ps, 36);
		  executePs(ps, 37);
		  executePs(ps, 38);
		  executePs(ps, 39);
		  executePs(ps, 40);
		  executePs(ps, 41);
		  executePs(ps, 42);
		  executePs(ps, 43);
		  executePs(ps, 44);
		  executePs(ps, 45);
		  executePs(ps, 46);
		  ps.close();
		  
		  timeme2 = new java.util.Date().getTime();
		  timeme2 = timeme2 - timeme;
		  System.out.println("Compiling the statement once and executing it 16 times took " + timeme2 + " milliseconds.");
		  
		  timeme = new java.util.Date().getTime();
		  
		  ps = conn.prepareStatement("EXECUTE STATEMENT getCityById");
		  executePs(ps, 51);
		  executePs(ps, 52);
		  executePs(ps, 53);
		  executePs(ps, 54);
		  executePs(ps, 55);
		  executePs(ps, 56);
		  executePs(ps, 57);
		  executePs(ps, 58);
		  executePs(ps, 59);
		  executePs(ps, 50);
		  executePs(ps, 61);
		  executePs(ps, 62);
		  executePs(ps, 63);
		  executePs(ps, 64);
		  executePs(ps, 65);
		  executePs(ps, 66);
		  ps.close();
		  
		  timeme2 = new java.util.Date().getTime();
		  timeme2 = timeme2 - timeme;
		  System.out.println("Retrieving a stored prepared statement without compiling it and " +
							 "executing it 16 times took " + timeme2 + " milliseconds.");
		  
		  
		  
		  
		  conn.close();
		  boolean gotSQLExc = false;
		  try {
			  DriverManager.getConnection("jdbc:cloudscape:;shutdown=true");
		  } catch (SQLException se) {
			  gotSQLExc = true;
		  }
		  if (!gotSQLExc)
			  System.out.println("Database did not shut down normally");
		  else
			  System.out.println("Database shut down normally");
		  
		}
		
		catch (Throwable e) {
			System.out.println("exception thrown:");
			errorPrint(e);
		}
	}
    static void errorPrint(Throwable e) {
		if (e instanceof SQLException) 
			SQLExceptionPrint((SQLException)e);
		else
			System.out.println("A non SQL error occured.");
	}
	
    static void SQLExceptionPrint(SQLException sqle) {
		while (sqle != null) {
			System.out.println("\n---SQLException Caught---\n");
			System.out.println("SQLState:   " + (sqle).getSQLState());
			System.out.println("Error Code: " + (sqle).getErrorCode());
			System.out.println("Message:  " + (sqle).getMessage()); 
			sqle.printStackTrace();  
			sqle = sqle.getNextException();
		}
    }
	
	
	private static void executeS(Statement s, String stext, String param) throws SQLException {
		ResultSet rs = s.executeQuery(stext + param);
		while (rs.next()) {
			rs.getObject(1);
		}
		
	}
	
	private static void executePs(PreparedStatement ps, int param) throws SQLException {
		ps.setInt(1, param);
		ResultSet rs = ps.executeQuery();
		while (rs.next()) {
			// we don't need to do anything with the data, but
			// we should iterate through the result set.
			rs.getObject(1);
		}
							
		
	}
	
}

