-- create method aliases for static methods in java.lang.Math

create method alias sin for java.lang.Math.sin;
create method alias cos for java.lang.Math.cos;
create method alias tan for java.lang.Math.tan;
create method alias asin for java.lang.Math.asin;
create method alias acos for java.lang.Math.acos;
create method alias atan for java.lang.Math.atan;
create method alias atan2 for java.lang.Math.atan2;
create method alias exp for java.lang.Math.exp;
create method alias log for java.lang.Math.log;
create method alias sqrt for java.lang.Math.sqrt;
create method alias pow for java.lang.Math.pow;
create method alias IEEEremainder for java.lang.Math.IEEEremainder;
create method alias ceil for java.lang.Math.ceil;
create method alias floor for java.lang.Math.floor;
create method alias rint for java.lang.Math.rint;
create method alias round for java.lang.Math.round;
create method alias random for java.lang.Math.random;
create method alias abs for java.lang.Math.abs;

-- min and max are reserved words, hence they
-- cannot be used as methodaliases.  Here are 
-- some possible aliases, commented out
-- since they are optional:
--
-- create method alias mathmin for java.lang.Math.min;
-- create method alias mathmax for java.lang.Math.max;
