@REM ---------------------------------------------------------
@REM -- This batch file is an example of how to shutdown the
@REM -- Cloudscape server in the RmiJdbc framework
@REM --
@REM -- REQUIREMENTS: 
@REM --	 You must have the cloudscape jar files as well as the 
@REM --   RmiJdbc class files in your classpath.
@REM --
@REM --  Check the setServerCloudscapeCP.bat file for an example of
@REM --   what to set.
@REM -- 
@REM -- This file for use on Windows systems
@REM ---------------------------------------------------------

@REM ---------------------------------------------------------
@REM -- use RJPing to shutdown the Cloudscape RmiJdbc server
@REM ---------------------------------------------------------
java RJPing jdbc:rmi:jdbc:cloudscape:;shutdown=true;user=;password= connect
java RJPing jdbc:rmi:jdbc:cloudscape: shutdown


@REM ---------------------------------------------------------
@REM -- To use Microsoft's JView JVM, use the following commands
@REM ---------------------------------------------------------
@REM -- jview RJPing jdbc:rmi:jdbc:cloudscape:;shutdown=true;user=;password= connect
@REM -- jview RJPing jdbc:rmi:jdbc:cloudscape: shutdown


@REM ---------------------------------------------------------
@REM -- To use a different JVM with a different syntax, simply edit
@REM -- this file
@REM ---------------------------------------------------------

